Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
overview
[Projects] Get project overview
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview \
  --header 'Authorization: Bearer <token>'
[
  {
    "instances_by_status": [
      {
        "status": "<string>",
        "count": 123
      }
    ],
    "instances_total": 123,
    "resources_allocated": {
      "vcpu": 123,
      "ram_mb": 123,
      "ram_gb": 123,
      "storage_gb": 123
    },
    "resources_count": {
      "volumes": 123,
      "vpcs": 123,
      "ssh_keys": 123,
      "snapshots": 123,
      "backups": 123,
      "storage_gb": 123
    },
    "tasks_by_status": [
      {
        "status": "<string>",
        "count": 123
      }
    ],
    "tasks_recent_count": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string<uuid>
required
project_id
string<uuid>
required

Response

200 - application/json
instances_by_status
object[]
required
instances_total
integer
required
resources_allocated
object
required
resources_count
object
required
tasks_by_status
object[]
required
tasks_recent_count
integer
required